Coufals System Management

Coufals System Management Version: 0.3 (Build 20200810)

www.coufal.org/csm
© 2020 Klaus Coufal (office@coufal.org)

Einleitung

Dieses Programm soll Ihnen bei der Verwaltung von IT-Systemen und deren Updates helfen.

Fensterbeschreibung
Programmbedienung


Coufals System Management - Fensterbeschreibung

Fensterbeschreibung

Hauptfenster
Coufals System Management - Hauptfenster
Das Hauptfenster enthält alle gespeicherten Angaben über das jeweils angezeigte System. Jeder Wert kann direkt verändert werden und durch Drücken des Schaltknopfs Speichern werden die geänderten Werte in die Datenbank geschrieben. Dabei werden die schon vorhandenen Werte überschrieben.
Mit den den vier linken Schaltknöpfen wird zwischen den Systemen gewechselt, dabei bedeutet
Schaltknopf | Funktion
|< | Zeige den ersten Eintrag
< | Zeige den vorigen Eintrag
> | Zeige den nächsten Eintrag
>| | Zeige den letzten Eintrag
Mit Hilfe des Schaltkopfs Update kann ein Update erfasst werden.
Die gespeicherten Updates für das angezeigte System können mit dem Schaltknopf Updates angezeigt werden.
Mit der Schaltfläche Neu wird ein Leereintrag für ein neues System erstellt (nach der Dateneingabe Speichern nicht vergessen!).

Subfenster Update
Subfenster Updates
Programmbedienung
Übersicht


Coufals System Management - Fensterbeschreibung - Update

Subfensterbeschreibung "Update"

Subfenster "Update"
Coufals System Management - Subfenster Update
Das Subfenster "Update" erlaubt die Eingabe des Updatetyps, eines ergänzendes Textes dazu und einen Kommentar Mit Hilfe des Schaltkopfs Speichern werden diese Information zusammen mit Datum und Uhrzeit gespeichert und das Subfester geschlossen.
Mit dem Schaltknopf Abbrechen wird nur das Fenster geschlossen und nicht gespeichert.

Fensterbeschreibung
Programmbedienung


Coufals System Management - Fensterbeschreibung - Updates

Subfensterbeschreibung "Updates"

Subfenster "Updates"
Coufals System Management - Subfenster Updates
In diesem Fenster werden alle erfassten Updates für das aktuelle System angezeigt.

Fensterbeschreibung
Programmbedienung


Coufals System Management - Fensterbeschreibung - Extras/Konfiguration

Subfensterbeschreibung "Extras/Konfiguration"

Subfenster "Extras/Konfiguration"
Coufals System Management - Subfenster Extras/Konfiguration

Das Subfenster "Konfiguration" erlaubt die Auswahl eines StandardUpdateTyps und eines Standardbetriebssystems Mit Hilfe des Schaltkopfs Speichern werden diese Information gespeichert und das Programm neu gestartet.
Mit dem Schaltknopf Abbrechen wird nur das Fenster geschlossen und nicht gespeichert.

Programmbedienung


Coufals System Management - Fensterbeschreibung - Extras/Betriebssysteme

Subfensterbeschreibung "Extras/Betriebssysteme"

Subfenster "Extras/Betriebssysteme"
Coufals System Management - Subfenster Extras/Betriebssysteme

Das Subfenster "Betriebssysteme" erlaubt die Bearbeitung der Liste der verwendeten Betriebssysteme Mit den den drei linken Schaltknöpfen wird zwischen den Systemen gewechselt, dabei bedeutet
Schaltfläche | Funktion
< | Zeige den vorigen Eintrag
+ | Füge einen neuen Eintrag hinzu (Speichern nicht vergessen)
> | Zeige den nächsten Eintrag

Mit Hilfe des Schaltkopfs Speichern wird der aktuelle Eintrag gespeichert und das Programm neu gestartet.
Mit dem Schaltknopf Abbrechen wird nur das Fenster geschlossen und nicht gespeichert.

Programmbedienung


Coufals System Management - Fensterbeschreibung - Extras/Updatetypen

Subfensterbeschreibung "Extras/Updatetypen"

Subfenster "Extras/Updatetypen"
Coufals System Management - Subfenster Extras/Updatetypen

Das Subfenster "Updatetypen" erlaubt die Bearbeitung der Liste der verwendeten Updatetypen Mit den den drei linken Schaltknöpfen wird zwischen den Systemen gewechselt, dabei bedeutet
Schaltfläche | Funktion
< | Zeige den vorigen Eintrag
+ | Füge einen neuen Eintrag hinzu (Speichern nicht vergessen)
> | Zeige den nächsten Eintrag

Mit Hilfe des Schaltkopfs Speichern wird der aktuelle Eintrag gespeichert und das Programm neu gestartet.
Mit dem Schaltknopf Abbrechen wird nur das Fenster geschlossen und nicht gespeichert.

Programmbedienung


Coufals System Management - Programmbedienung

Programmbedienung

Die wesentlichen Elemente zur Bedienung sind schon bei der Beschreibung des Hauptfenster enthalten.
Darüber hinaus gibt es noch ein Menü mit weiteren Funktionen, das mit Hilfe der Schaltfläche Menu aufgerufen werden kann:

Menu: Hilfe, Inaktive ... Über ... Schließen

Die einzelnen Menüpunkte und ihre Bedeutung:
Menüpunkt | Bedeutung
Hilfe | Diese Hilfe (kann auch mit der Taste F1 im Hauptfenster aufgerufen werden)
Inaktive | Zeige die inaktiv gesetzten Systeme an (Häkchen vor dem Menüpunkt) bzw. die aktiven Systeme (Kein Häkchen vor dem Menüpunkt; das ist die Standardeinstellung)
->Inaktiv bzw. ->Aktiv | Ändern des Aktiv/Inaktiv-Status des angezeigten Systems (Bei Anzeige der aktiven Systeme ->Inaktiv bzw. bei Anzeige der inaktiven Systeme ->Aktiv)
Extras | Submenü zur Bearbeitung von Updatetypen, Betriebssystemlisten, ...
Info | Allgemeine Programminformationen und Links zur Anzeige der Lizenz bzw. zur Homepage des Programms
Neu | Startet das Programm neu
Schließen | Beendet das Programm

Submenü Extras:

Menü Extras

Die Menüpunkte des Submenüs Extras und ihre Bedeutung:
Menüpunkt | Bedeutung
Konfiguration | Bearbeiten diverser Konfigurationseinstellungen
Betriebssysteme | Bearbeitung der Liste der in den Systemen verwendeten Betriebssysteme
Updatetypen | Bearbeitung der Liste der verwendeten Updatetypen
Neue Datendatei | Anlegen einer neuen (leeren) Datendatei mit Hilfe eines Auswahldialogs

Die zu verwendende Datendatei kann beim Programmstart auf vier Arten angegeben werden:
  • Keine Angabe, dann wird die Standarddatei csm.xml im aktuellen Verzeichnis verwendet
  • Aufruf des Programms mit der Datendatei als Parameter (wenn diese ohne Dateierweiterung erfolgt, wird ".xml" verwendet)
  • Aufruf des Programms mit einem Verzeichnis als Parameter, dann wird die Standarddatendatei (csm.xml) in diesem Verzeichnis verwendet
  • Drag-And-Drop: Sie können eine Datendatei auf die Programmdatei schieben (nicht auf das offene Programmfenster)

Subfenster Extras/Konfiguration
Subfenster Extras/Betriebssysteme
Subfenster Extras/Updatetypen
Fensterbeschreibung


Coufals System Management - Kommandozeilenoptionen

Kommandozeilenoptionen

Unterstützte Optionen (Nur eine Option ist möglich):
 | datei | Öffnet die Datei datei (Wenn die Datei ohne Dateierweiterung angegeben wird, dann wird "xml" verwendet.)
 | verzeichnis | Öffnet die Standarddatei (csm.xml) in verzeichnis

Programmbedienung


Coufals System Management - Versionsentwicklung

Versionen von Coufals System Management

V0.3 20200810

Add funtion key F1 to start help information
Add commandline parameter {<filename[.ext]>|<directoryname>} to start with non default file
Add Drag and Drop funktion (you can drop data base file to program file but not into an open program window)
Add menu item "Extras/Neue Datendatei" to create a new empty data file

V0.2a 20200809

Bugfix: Update type was missing during recording an update

V0.2 20200808

Change OS-Name from an Edit-Control to a DropDownList-Control to simplify inputs.
Add menu item "Extras/Konfiguration" to enable the edit of default values.
Add menu item "Extras/Betriebssystem to enable the management of used operating systems.
Add menu item "Extras/Updatetypen" to enable the management of used update types.
Change button text "Neu" to "+" to avoid conflicts with menu item "Neu".

V0.1 20200805

First public release.


Coufals System Management - Lizenz

Lizenz

"Coufals System Management" © 2020 by Klaus Coufal (office@coufal.org)

Lizenz für csm "Coufals System Management" V0.3

Hiermit wird jeder Person die Erlaubnis erteilt, dieses Programm ohne
Gebühr unter Beachtung der folgenden Einschränkungen zu verwenden.

DAS PROGRAMM WIRD IHNEN ZUR BENUTZUNG ÜBERLASSEN, SO WIE ES IST
UND OHNE IRGENDEINE FUNKTIONSGARANTIE. DIE VERWENDUNG ERFOLGT
AUF EIGENE GEFAHR, DER AUTOR ÜBERNIMMT KEINE HAFTUNG FÜR EVENTUELLE
SCHÄDEN, DIE DURCH DIE VERWENDUNG DIESES PROGRAMMS ENTSTEHEN.

Das Programm darf nur in der vorliegenden Form inkl. dieses Copyright-
Hinweises weitergegeben werden.
Für die Weitergabe dürfen keine Gebühren verlangt werden.
Das Programm darf nicht zurückentwickelt oder verändert werden.

Die Urheberrechte verbleiben beim Programmersteller.

Internationale Fassung des Gewährleistungsausschlusses:

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES
OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.